/* --COPYRIGHT--,BSD
 * Copyright (c) 2012, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//***************************************************************************************
//  MSP430 Blink the LED Demo - Software Toggle P1.0
//
//  Description; Toggle P1.0 by xor'ing P1.0 inside of a software loop.
//  ACLK = n/a, MCLK = SMCLK = default DCO
//
//                MSP430x5xx
//             -----------------
//         /|\|              XIN|-
//          | |                 |
//          --|RST          XOUT|-
//            |                 |
//            |             P1.0|-->LED
//
//  J. Stevenson
//  Texas Instruments, Inc
//  July 2011
//  Built with Code Composer Studio v5
//***************************************************************************************

//#include <msp430.h>
//#include <stdint.h>
#include "TI_SHA_256.h"
//#define ROTR(x,n)        (( x >> n ) | ( x << (32 - n )))

//volatile uint32_t q =0;
//volatile uint32_t x = 0x12345678;
//volatile unsigned int n = 4;
 uint32_t M[32];
//char *String = "abcdbcdecdefdefgefghfghighijhijkijkljklmklmnlmnomnopnopq";
volatile uint64_t L = 0x00000000000001A0;
//unsigned int Q =0;
uint32_t Ha[8];
uint32_t *H_Array;

int main(void)
{
  //WDTCTL = WDTPW + WDTHOLD;             // Stop watchdog timer
  //P1DIR |= 0x01;                        // Set P1.0 to output direction

  

  while (1)
  {
	/*
  M[0]=0x61626364;
  M[1]=0x62636465;
  M[2]=0x63646566;
  M[3]=0x64656667;
  M[4]=0x65666768;
  M[5]=0x66676869;
  M[6]=0x6768696a;
  M[7]=0x68696a6b;
  M[8]=0x696a6b6c;
  M[9]=0x6a6b6c6d;
  M[10]=0x6b6c6d6e;
  M[11]=0x6c6d6e6f;
  M[12]=0x6d6e6f70;
  M[13]=0x6e6f7071;
*/
  
  M[0]=0x00000000;
  M[1]=0x00000000;
  M[2]=0x00000000;
  M[3]=0x00000000;
  M[4]=0x00000000;
  M[5]=0x00000000;
  M[6]=0x00000000;
  M[7]=0x00000000;
  M[8]=0x00000000;
  M[9]=0x00000000;
  M[10]=0x00000000;
  M[11]=0x00000000;
  M[12]=0x00000000;
  M[13]=0x00000000; 
  M[14]=0x00000001;
  M[15]=0x00000000;
/*
  M[0] =0x41424344;
  M[1] =0x45464748;
  M[2] =0x494A4B4C;
  M[3] =0x4D4E4F50;
  M[4] =0x51525354;
  M[5] =0x55565758;
  M[6] =0x595A6162;
  M[7] =0x63646566;
  M[8] =0x6768696A;
  M[9] =0x6B6C6D6E;
  M[10] =0x6F707172;
  M[11] =0x73747576;
  M[12] =0x7778797A;
  M[13] =0x30313233;
  M[14] =0x34353637;
  M[15] =0x38390000; */
  L= 0x00000000000001C0;
//L = 0x1A0;


 // SHA_256(M, L, Ha, 1);
 // L= 0x00000000000001A0;
//  SHA_256(M, L, Ha, 1);
 // L= 0x0000000000000000;
  SHA_256(M, L, Ha, 1);


    L= 0x0000000000000000;
    SHA_256(M, L, Ha, 1);


    L= 0x0000000000000220;
/*
    M[0] =0x41424344;
    M[1] =0x45464748;
    M[2] =0x494A4B4C;
    M[3] =0x4D4E4F50;
    M[4] =0x51525354;
    M[5] =0x55565758;
    M[6] =0x595A6162;
    M[7] =0x63646566;
    M[8] =0x6768696A;
    M[9] =0x6B6C6D6E;
    M[10] =0x6F707172;
    M[11] =0x73747576;
    M[12] =0x7778797A;
    M[13] =0x30313233;
    M[14] =0x34353637;
    M[15] =0x38390000;
    L= 0x00000000000001F0;

    SHA_256(M, L, Ha, 1);


    M[0]=0x00000000;
    M[1]=0x00000000;
    M[2]=0x00000000;
    M[3]=0x00000000;
    M[4]=0x00000000;
    M[5]=0x00000000;
    M[6]=0x00000000;
    M[7]=0x00000000;
    M[8]=0x00000000;
    M[9]=0x00000000;
    M[10]=0x00000000;
    M[11]=0x00000000;
    M[12]=0x00000000;
    M[13]=0x00000000;
    M[14]=0x00000000;
    M[15]=0x00000000;
    M[16]=0x00000000;
    M[17]=0x00000000;

    L= 0x0000000000000220;

    SHA_256(M, L, Ha, 1); */
  }
}
